SALT-MASTER(1)

NAME
salt-master - salt-master Documentation

The Salt master daemon, used to control the Salt minions

SYNOPSIS

salt-master [ options ]

DESCRIPTION

The master daemon controls the Salt minions

OPTIONS

-h, --help
    Print a usage message briefly summarizing these command-line options.

--version
    Show program's version number and exit

--versions-report
    Show program's dependencies version number and exit

-d, --daemon
    Run the Salt master as a daemon

-c CONFIG_DIR, --config-dir=CONFIG_dir
    The location of the Salt configuration directory, this directory contains the configuration files for Salt master and minions. The default location on most systems is /usr/local/etc/salt.

-u USER, --user=USER
    Specify user to run minion

--pid-file PIDFILE
    Specify the location of the pidfile.

-l LOG_LEVEL, --log-level=LOG_LEVEL
    Console log level. One of info, none, garbage, trace, warning, error, debug. For the logfile settings see the config file. Default: warning.

SEE ALSO

salt(1) salt(7) salt-minion(1)

AUTHOR
Thomas S. Hatch <thatch45@gmail.com> and many others, please see the Authors file

COPYRIGHT
2013, Thomas S. Hatch